import logging

import cherrypy
import cherrypy as http
import turbogears
from turbogears import controllers, expose, validate, redirect, flash
from turbogears import exception_handler
from turbogears import identity
from turbogears.toolbox.catwalk import CatWalk
from webhattg import json

import model
from subcontrollers.StudentAccountController import StudentAccountController
from subcontrollers.dashboard import DashboardController
from subcontrollers.ticket import TicketController
from subcontrollers.people import PeopleController
from subcontrollers.announcement import AnnouncementController
from subcontrollers.test import TestController, SVNTestController

log = logging.getLogger("webhattg.controllers")

class Root(controllers.RootController):
	
	catwalk = CatWalk(model,allowedHosts=['127.0.0.1','140.116.72.35'])
	studentAccountContrtoller = StudentAccountController()
	dashboard = DashboardController()
	ticket = TicketController()
	people = PeopleController()
	announce = AnnouncementController()
	test = TestController()
	svntest = SVNTestController()
	
	#@expose(template="webhattg.templates.FrontPage")
	@expose()
	def index(self):
		 raise redirect('/dashboard')
		#return dict()

	@expose()
	def apply_for_new_account(self):
		raise redirect('/studentAccountContrtoller')
	
	@expose(template="webhattg.templates.login")
	def login(self, *args, **kw):
		if http.request.path == "/login" and http.request.headers.get("Referer") == "/":
		    raise redirect('/people')
		else:
			if hasattr(http.request, "identity_errors"):
				flash(str(http.request.identity_errors))
				previous_url = http.request.path
			else:
				previous_url = http.request.headers.get("Referer", "/")
			http.response.status=403
			#print '>>>', previous_url
			return dict(previous_url=previous_url, 
					logging_in=True,
					original_parameters={})

	@expose()
	def logout(self):
		identity.current.logout()
		if http.response.simpleCookie.has_key('active_section'):
			http.response.simpleCookie['active_section']['expires'] = 0 
		flash("You have been logged out.")
		raise redirect('/dashboard')