import turbogears as tg

from md5 import md5
from turbogears import expose,identity
from webhattg.model import Person, Ticket
from webhattg import utils


class PeopleController(identity.SecureResource):
    require = identity.not_anonymous()
    
    @expose(template="webhattg.templates.people.index")
    def index(self, show_others=0):
        groupids = utils.getGroups()
        people = Person.select(orderBy='displayName')
        person = Person.get(identity.current.user.id)
        tickets = Ticket.select(Ticket.q.status != 'closed')
        user_tickets = Ticket.selectBy(owner = identity.current.user )
        return dict(active_section='people',
                       tickets = tickets,
                       user_tickets = user_tickets,
                       people=people, 
                       user_person=person, 
                       show_others=int(show_others),
                       groupids=groupids)
    
    
    @expose()
    def edit_person(self, name, username, email, personid):
        person = Person.get(personid)
        print person
        person.set(displayName=name, user_name=username, emailAddress=email)        
        return dict(person=person)
    
    
    @expose()
    def edit_password(self, password, confirm, personid):
        person = Person.get(personid)
        print person
        person.password = md5(password).hexdigest()
        return dict(person=person)
    
    
    @expose()
    def new_person(self, name, username, email, password, confirm):
        person = Person(displayName=name,
                        user_name=username,
                        password=identity.current_provider.encrypt_password(password),
                        emailAddress=email)
        raise tg.redirect('/people')
