<?python
	from webhattg.utils import textilize
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="'../master.kid'">

<head>
	<meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
	<title>DBSE Track - Announcement Details for ${announcement.name}</title>
	<script src="/static/javascript/master.js" type="text/javascript"></script>
	<script src="/static/javascript/MochiKit.js" type="text/javascript"></script>
	<script src="/static/javascript/announcement.js" type="text/javascript"></script>
	<link href="/static/css/master.css" media="screen" rel="Stylesheet" type="text/css" /> 
	<link href="/static/css/announcement.css" media="screen" rel="Stylesheet" type="text/css" />
</head>

<body>
	<h2 class="$announcement.category" id="announcement_name" py:content="announcement.name">Announcement Name</h2>
	<span py:if="hit_count != 0" id="hit_count" style="float:right;"><small>${hit_count} downloads</small></span>
	<div id="description" onmouseover="show_inline('description_edit_link')" onmouseout="hide('description_edit_link')">
		<span id="description_content">${XML(textilize(announcement.description))}</span>
		<a py:if="'developer' in groupids" style="display: none" id="description_edit_link" href="#" onclick="toggle('edit_description');toggle('description'); return false;">edit</a><br/>
	</div>
	
	<div id="edit_description" style="display: none;">
		<textarea id="ta_description" name="description" rows="6" cols="55">${announcement.description}</textarea><br/>
		<a href="#" onclick="update_announcement();toggle('edit_description');toggle('description');hide('description_edit_link');return false;">save</a>
		<a href="#" onclick="toggle('edit_description');toggle('description');hide('description_edit_link'); return false;">cancel</a>
	</div>
	<span>
		<small py:if="announcement.category == 'Release'"> Release Date: ${announcement.date}</small>
		<small py:if="announcement.category == 'Homework'"> Deadline: ${announcement.date}</small>
		<small py:if="announcement.category == 'Milestone'"> Deadline: ${announcement.date}</small>
	</span>
	<br/><br/>
	
	<h3>Related Tickets</h3>
	<div py:for="ticket in announcement.tickets" class="ticket" onclick="document.location.href='${tg.url('/ticket/%s' % ticket.id)}'">
	<div class="category$ticket.category.id">
		<div style="float: right;">
			<span class="info" style="padding-right:20px;">
				<acronym title="comments">
					<b style="font-size:120%">${len(ticket.comments)}</b>
				</acronym>
			</span>
		</div>
		<div class="top">
			<h3 py:content="'#'+str(ticket.id)+' '+ticket.name" />
			(<b><span py:content="ticket.status" /></b>)
		</div>
		<div class="bottom">
			<span class="owner">
				<span py:if="ticket.owner is not None" class="label">Owner:</span>
				<a href="#" py:if="ticket.owner is not None" py:content="ticket.owner.user_name" />
				<span py:if="ticket.owner is None" class="label">Not accepted yet</span>
			</span>
		</div>
	</div>
	</div>

</body>
</html>
