<?python
	from webhattg.utils import textilize
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="'../master.kid'">

<head>
	<meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
	<title>DBSE WebHat - Ticket Details for ${ticket.name}</title>
	<script src="/static/javascript/master.js" type="text/javascript"></script>
	<script src="/static/javascript/MochiKit.js" type="text/javascript"></script>
	<script src="/static/javascript/ticket.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/prototype.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/scriptaculous.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/effects.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/slider.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/builder.js" type="text/javascript"></script>
	<script src="/static/javascript/thirdparty/controls.js" type="text/javascript"></script>
	
	<link href="/static/css/master.css" media="screen" rel="Stylesheet" type="text/css" /> 
	<link href="/static/css/ticket.css" media="screen" rel="Stylesheet" type="text/css" />
</head>

<body>	
	<h2 class="category$ticket.category.id" id="ticket_name" py:content="'#'+str(ticket.id)+' '+ticket.name">Ticket Name</h2>
	<div class="status">
		<span py:replace="ticket.status">Ticket Status</span>
	</div>
	<div id="body">
		<span id="body_content">${XML(ticket.body)}</span>
	</div>
	<span><small>reported by: ${ticket.reporter}</small></span>
	<br/><br/>
	
	<!-- everyone can know current resolution of the ticket, but only owner can change it. -->
	<div id="status" onmouseover="show_inline('edit_resolution_link');" onmouseout="hide('edit_resolution_link');">
		<span>resolution: ${ticket.resolution.name}</span>
		<a py:if="ticket.owner == user_person" style="display: none" id="edit_resolution_link" href="#" onclick="toggle('status');toggle('edit_resolution'); return false;">edit</a>
	</div>
	
	<div id="edit_resolution" style="display: none" class="status">
		<span>resolution:</span>
		<select id="ticket_resolution" py:if="ticket.owner == user_person" name="resolution">
			<option py:for="resolution in resolutions" value="$resolution.id" selected="${(None, '')[resolution == ticket.resolution]}">
				${resolution.name}
			</option>
		</select>
		<select id="ticket_resolution" py:if="ticket.owner != user_person and 'developer' in groupids" name="resolution">
			<option value="$ticket.resolution.id" selected="$ticket.resolution">
				${ticket.resolution.name}
			</option>
		</select>
		<a href="#" onclick="update_ticket();toggle('edit_resolution');toggle('status');hide('edit_resolution_link');return false;">save</a>
		<a href="#" onclick="toggle('edit_resolution');toggle('status');hide('edit_resolution_link'); return false;">cancel</a>
	</div>
	
	<div id="owner" onmouseover="show_inline('edit_owner_link');" onmouseout="hide('edit_owner_link');">
		<b>owner:</b>
		<span id="owner_content" py:if="ticket.owner is not None">${ticket.owner.user_name}</span>
		<span id="owner_content" py:if="ticket.owner is None">???</span>
		<a py:if="ticket.owner == user_person or 'developer' in groupids" style="display: none" id="edit_owner_link" href="#" onclick="toggle('owner');toggle('edit_owner'); return false;">edit</a>
	</div>
	
	<div id="edit_owner" style="display: none">
		<b>owner:</b>
		<select id="owner_id" name="owner_id">
			<option py:for="person in people" selected="${(None, '')[person == ticket.owner]}" value="$person.id">
				${person.user_name}
			</option>
		</select>
		<a href="#" onclick="update_ticket();toggle('edit_owner');toggle('owner');hide('edit_owner_link');return false;">save</a>
		<a href="#" onclick="toggle('edit_owner');toggle('owner');hide('edit_owner_link'); return false;">cancel</a>
	</div>
	
	<div id="ticket_comments">
		<h3>Comments</h3>
		
		<p py:if="len(ticket.comments) == 0">This ticket has no comments.</p>
		
        		<ul id="comments">
	           	<span py:for="comment in ticket.comments" py:replace="comment_widget.display(comment=comment)" />
		</ul>
		
		<a href="#" onclick="toggle('new_comment'); fcs('new_comment_title'); return false;">post comment</a>
		<div id="new_comment" style="display: none;">
			<form id="form_new_comment" action="create_comment" method="post">
			<table>
				<tr><td width="120"><b>Title:</b></td><td><input id="new_comment_title" type="text" name="title" size="40" /></td></tr>
				<tr py:if="user_person == 'visitor'"><td width="120"><b>Author:</b></td><td><input id="new_comment_author" type="text" name="author" size="40" /></td></tr>
				<tr py:if="user_person != 'visitor'"><td width="120"><b>Author:</b></td><td><input id="new_comment_author" type="text" name="author" size="40" value="${user_person.user_name}"/></td></tr>
				<tr>
					<td colspan="2"><b>Comment Body</b></td>
				</tr>
				<tr>
					<td colspan="2">
						${commentmce.display(rows="6", cols="72")}
					</td>
				</tr>
			</table>
			<a href="#" onclick="submit('form_new_comment'); return false;">add</a>
			<a href="#" onclick="toggle('new_comment'); return false;">cancel</a>
			</form>
		</div>
	</div>

</body>
</html>
